<?php

require('mbfpdf.php');

// EUC-JP->SJIS 変換を自動的に行なわせる場合に mbfpdf.php 内の $EUC2SJIS を
// true に修正するか、このように実行時に true に設定しても変換してくます。
//$GLOBALS['EUC2SJIS'] = true;

///////////////////////////////////
// このファイルは S-JIS で記述 //
///////////////////////////////////

$leftMargin = 30;
$width = 150;
$textHeight = 15;

$pdf=new MBFPDF('P', 'mm', 'A4');
$pdf->AddMBFont(KOZMIN ,'SJIS');
$pdf->AddMBFont(GOTHIC ,'SJIS');
$pdf->AddMBFont(BIG5, 'SJIS');
$pdf->Open();
$pdf->AddPage();

// greetings
$pdf->SetXY($leftMargin, 20);
$pdf->SetFont(GOTHIC,'B',20);
$pdf->Write($textHeight, 'GOTHIC: 文字位置がずれるし、展開がやたら遅い');

// name
$pdf->SetXY($leftMargin, 40);
$pdf->SetFont(KOZMIN,'B',30);
$pdf->Cell($width, $textHeight,'KOZMIN: 小塚明朝がお奨め', 1, 0, 'C');

// address
$pdf->SetXY($leftMargin, 60);
$pdf->SetFont(BIG5,'', 30);
$pdf->Write($textHeight, 'BIG5: も大丈夫そう');

$pdf->Output();

?>
